Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.icons
Class IconResourceFactory

    java.lang.Object
      org.flexdock.plaf.icons.IconResourceFactory

All Implemented Interfaces:
  XMLConstants

    public class IconResourceFactory

extends Object
implements XMLConstants

Author:
  Christopher Butler

Field Summary
`static String` | `ACTION_KEY`
`static String` | `ACTIVE`
`static String` | `ACTIVE_DISABLED`
`static String` | `ACTIVE_DISABLED_SELECTED`
`static String` | `ACTIVE_HOVER`
`static String` | `ACTIVE_SELECTED`
`static String` | `ACTIVE_SELECTED_HOVER`
`static String` | `DEFAULT`
`static String` | `DEFAULT_SELECTED`
`static String` | `DISABLED`
`static String` | `DISABLED_SELECTED`
`static String` | `HOVER`
`static String` | `HOVER_SELECTED`
`static String` | `ICON_MAP_KEY`
`static String` | `ICON_RESOURCE_KEY`
`static String` | `PRESSED`
`static String` | `PRESSED_SELECTED`
`static String` | `TOOLTIP`
`static String` | `TOOLTIP_SELECTED`

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Constructor Summary
`IconResourceFactory()`

Method Summary
`static IconMap` | `getIconMap(String name)`
`static IconResource` | `getResource(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ICON_RESOURCE_KEY

    public static final String ICON_RESOURCE_KEY

See Also:
  Constant Field Values

### ICON_MAP_KEY

    public static final String ICON_MAP_KEY

See Also:
  Constant Field Values

### ACTION_KEY

    public static final String ACTION_KEY

See Also:
  Constant Field Values

### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

### DISABLED

    public static final String DISABLED

See Also:
  Constant Field Values

### HOVER

    public static final String HOVER

See Also:
  Constant Field Values

### ACTIVE

    public static final String ACTIVE

See Also:
  Constant Field Values

### ACTIVE_HOVER

    public static final String ACTIVE_HOVER

See Also:
  Constant Field Values

### ACTIVE_DISABLED

    public static final String ACTIVE_DISABLED

See Also:
  Constant Field Values

### PRESSED

    public static final String PRESSED

See Also:
  Constant Field Values

### DEFAULT_SELECTED

    public static final String DEFAULT_SELECTED

See Also:
  Constant Field Values

### HOVER_SELECTED

    public static final String HOVER_SELECTED

See Also:
  Constant Field Values

### DISABLED_SELECTED

    public static final String DISABLED_SELECTED

See Also:
  Constant Field Values

### ACTIVE_SELECTED

    public static final String ACTIVE_SELECTED

See Also:
  Constant Field Values

### ACTIVE_SELECTED_HOVER

    public static final String ACTIVE_SELECTED_HOVER

See Also:
  Constant Field Values

### ACTIVE_DISABLED_SELECTED

    public static final String ACTIVE_DISABLED_SELECTED

See Also:
  Constant Field Values

### PRESSED_SELECTED

    public static final String PRESSED_SELECTED

See Also:
  Constant Field Values

### TOOLTIP

    public static final String TOOLTIP

See Also:
  Constant Field Values

### TOOLTIP_SELECTED

    public static final String TOOLTIP_SELECTED

See Also:
  Constant Field Values

Constructor Detail

### IconResourceFactory

    public IconResourceFactory()

Method Detail

### getIconMap

    public static IconMap getIconMap(String name)

### getResource

    public static IconResource getResource(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD